export const VizContainer = ({
  id,
  width,
  height,
  margin,
  innerWidth,
  innerHeight,
  children,
}) => {
  const outerRect = (
    <rect id={id} width={width} height={height} fill="#bbb" />
  );

  const innerRect = (
    <rect
      width={innerWidth}
      height={innerHeight}
      fill="#eee"
    />
  );

  return (
    <svg width={width} height={height}>
      {outerRect}
      <g transform={`translate(${margin.left}, ${margin.top})`} >
        {innerRect}
        {children}
      </g>
    </svg>
  );
};
